Guard Lynch:
Originally, it was a camp set up by the troops of Gracia. It was abandoned for some time after Gracia lost the war and withdrew their troops. However, now ol mahum's band has made their camp there.
The ol mahums were mercenaries employed by Gracia, but after the war they were unable to return to their country, and they remain here living as bandits. They are such scoundrels! I think the Gracian army abandoned them, if you want my opinion.
Return